xoops forums

pixelpusher

Just popping in
Posted on: 2015/6/10 17:23
pixelpusher
pixelpusher (Show more)
Just popping in
Posts: 42
Since: 2004/10/30
#1

news module 1.66 not working with xoops 2.5.7.1

php: 5.3.29
xoops: 2.5.7.1
news module: 1.66
---------------
I'm looking for help getting the news module working on a new site. The module installed properly and I can work on the back-end. When I go to the public site it displays only a white page. Other modules seem to be working fine. Once I deactivate the news module the site comes back online. Does anyone have a solution to fix this problem? Is there a more compatible news version that I should consider? Thanks

Mamba

Moderator
Posted on: 2015/6/10 20:28
Mamba
Mamba (Show more)
Moderator
Posts: 10770
Since: 2004/4/23
#2

Re: news module 1.66 not working with xoops 2.5.7.1

I would suggest to use Publisher, as it is actively maintained. You can download it from GitHub

However, if you want to stick with News, try the newer version
Support XOOPS => DONATE
Use 2.5.10 | Docs | Modules | Bugs

JulioNC

Quite a regular
Posted on: 2015/6/11 17:25
JulioNC
JulioNC (Show more)
Quite a regular
Posts: 239
Since: 2004/10/8
#3

Re: news module 1.66 not working with xoops 2.5.7.1

Pixelpusher, You have to install the tag module. (download here)

Michael, Which is the Main repository for News module?
Github or SF.net

pixelpusher

Just popping in
Posted on: 2015/6/11 18:58
pixelpusher
pixelpusher (Show more)
Just popping in
Posts: 42
Since: 2004/10/30
#4

Re: news module 1.66 not working with xoops 2.5.7.1

Thank you for your quick responses. I will look into Publisher. The issue turned out to be a permissions issue and now this it's set correctly is working fine. Thanks

xoobaru

Just can't stay away
Posted on: 2015/6/11 23:24
xoobaru
xoobaru (Show more)
Just can't stay away
Posts: 494
Since: 2010/12/2
#5

Re: news module 1.66 not working with xoops 2.5.7.1

Quote:
Michael, Which is the Main repository for News module? Github or SF.net


this was answered in the previous post:

Quote:
However, if you want to stick with News, try the newer version


2.5.7.1 Full download linked in header above is also still on Sourceforge

Referencing the above statement:

Quote:
I would suggest to use Publisher, as it is actively maintained


It suggests Publisher will be the default news module being groomed for the initial release of V2.6 (probably on Github).

Also, I recently installed News module at the above linked source without Tags module with no issues. Neither was there an notification of this dependency.

Where any given module has such a dependency for another module, would it not make sense to bundle them together, or at least raise a notification during install of the primary module?